Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class ContentQuota

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.PublicObject
                  oracle.ifs.beans.TiePublicObject
                      oracle.ifs.beans.ApplicationObject
                          oracle.ifs.beans.TieApplicationObject
                              oracle.ifs.beans.ContentQuota

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  TieContentQuota

    public class ContentQuota

extends TieApplicationObject

A ContentQuota contains information that defines how much storage space in iFS is allocated and consumed by the DirectoryUser. For quota enforcement, the ContentQuota object must be enabled.

See Also:
  `ContentQuotaDefinition`
(Published)

Field Summary
`static java.lang.String` | `ALLOCATEDSTORAGE_ATTRIBUTE` The amount of storage space allocated by this ContentQuota to the DirectoryUser.
`static java.lang.String` | `ASSOCIATEDPUBLICOBJECT_ATTRIBUTE` The DirectoryUser that has allocated/consumed the storage space represented by this ContentQuota.
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `CONSUMEDSTORAGE_ATTRIBUTE` The amount of storage space currently consumed by the DirectoryUser.
`static java.lang.String` | `ENABLED_ATTRIBUTE` An indicator of whether the ContentQuota is enabled or disabled.
`static java.lang.String` | `UNIQUENAME_ATTRIBUTE` A system-set attribute used to ensure each ContentQuota has a unique name.

Fields inherited from class oracle.ifs.beans.PublicObject
`ACL_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, FLAG_CATEGORY_EXISTS, FLAG_CONFIGURATIONCATEGORY_EXISTS, FLAG_MARKED, FLAG_NOINFERIOR, FLAG_NOSELECT, FLAG_NTFS_ARCHIVE, FLAG_NTFS_HIDDEN, FLAG_NTFS_READONLY, FLAG_NTFS_SYSTEM, FLAG_UNMARKED, FLAGS_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, LOCKENTRIES_ATTRIBUTE, LOCKOBJECT_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PRIMARYPARENTFOLDER_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE, RESOLVEDPUBLICOBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `ContentQuota(LibrarySession session, java.lang.Long id, java.lang.Long classid, S_LibraryObjectData data)` Construct a ContentQuota object - standard variant.

Method Summary
`void` | `calculateConsumedStorage()` Calculates the current consumed storage for the DirectoryUser and updates this ContentQuota object.
`protected static ContentQuota` | `constructContentQuota(LibrarySession sess, S_LibraryObjectData data)` Constructs a ContentQuota for the specified data.
`protected static java.util.Vector` | `constructContentQuotaVector(LibrarySession sess, java.util.Vector vector)` Constructs a vector of ContentQuota from vector of S_LOData.
`long` | `getAllocatedStorage()` Gets the amount of allocated storage.
`PublicObject` | `getAssociatedPublicObject()` Gets the PublicObject associated with this ContentQuota object.
`long` | `getConsumedStorage()` Gets the amount of consumed storage.
`boolean` | `isEnabled()` Determines whether quota enforcement is enabled.
`void` | `postConsumptionChangeEvent(long payload)` Post a consumption change event on the ContentQuota.
`void` | `setAllocatedStorage(long value)` Sets the amount of allocated storage.
`void` | `setEnabled(boolean enable)` ContentQuota can be enabled or disabled.
`protected static ContentQuota` | `vectorContentQuotaElement(java.util.Vector vector, int index)` Extracts an element of a Vector of ContentQuota.
`protected static ContentQuota[]` | `vectorToContentQuotaArray(java.util.Vector vector)` Converts a Vector of ContentQuota to an array of ContentQuota.

Methods inherited from class oracle.ifs.beans.ApplicationObject
`constructApplicationObject, constructApplicationObjectVector`

Methods inherited from class oracle.ifs.beans.PublicObject
`addAccess, addCategory, addFlags, addRelationship, auditPublicObjectLocked, auditPublicObjectUnlocked, canAcquireManualLock, canReleaseDavLock, canReleaseLock, canReleaseManualLock, capabilities, checkAuditViewCapability, checkCapabilities, checkCapability, checkEffectiveAccess, checkEffectiveAccess, checkLockAccess, checkVersioned, clearFlags, constructPublicObject, constructPublicObjectArray, constructPublicObjectVector, copy, coreAutoFolderingEnabled, createCategories, createDedicatedPolicyPropertyBundle, delete, deriveEffectiveAccessLevel, free, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getCapabilities, getCategories, getCategories, getCategories, getCategories, getCategories, getCategory, getCreateDate, getCreator, getDefaultAccessLevel, getDeletor, getDescription, getEffectiveAccessLevel, getEffectiveAccessLevel, getExpirationDate, getFamily, getFirstVersion, getFlags, getFolderReferences, getFolderReferences, getFolderReferencesSortSpecification, getLastModifier, getLastModifyDate, getLastVersion, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinks, getLockEntries, getLockEntries, getLockObject, getLockRestrictions, getLockTypeAuditProperties, getNextVersion, getOwner, getPolicyBundle, getPolicyLists, getPreviousVersion, getPrimaryFolderPath, getPrimaryParentFolder, getPrimaryParentFolder, getReservationComment, getReservationDate, getReservor, getResolvedPublicObject, getRestrictingLockEntries, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSecuringPublicObject, getSingletonVersionDescription, getVersionNumber, getVersions, getVersionSeries, getWorkingCopy, grantAccess, handleCopy, handleCreate, handleUnlockAll, hasCategories, hasConfigurationCategories, hasNameAttribute, isDeleted, isLatestVersion, isLocked, isLockingSupported, isOwner, isReserved, isReservedByCurrentUser, isVersionable, isVersioned, isWorkingCopy, listLeftwardRelationships, listRightwardRelationships, lock, lock, lock, lock, newVersion, postCopy, postCreate, postUpdate, preCopy, preCreate, preFree, preUpdate, putPolicy, reassociateLinks, removeAllPolicies, removePolicy, removePolicy, removeRelationship, reserveNext, resetFolderReferences, resolveFolderReferenceSortSpecification, revokeAccess, revokeAllAccess, setAcl, setDescription, setExpirationDate, setFlags, setFolderReferencesSortSpecification, setLockEntries, setLockEntrySecurity, setOwner, setOwnerByName, setPolicyBundle, setPolicyLists, setSecuringPublicObject, toPublicObjectArray, undelete, unlock, unlock, unlockAll, unReserve, updateFlags, updateLock, vectorPublicObjectElement, vectorToPublicObjectArray, verifyDeleteCapability, verifyLockCapability, verifyUnlockCapability, verifyVersionSeries`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `ContentQuota`
  This class name for this class. Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### ASSOCIATEDPUBLICOBJECT_ATTRIBUTE

    public static final java.lang.String ASSOCIATEDPUBLICOBJECT_ATTRIBUTE

  Description copied from class: `ContentQuota`
  The DirectoryUser that has allocated/consumed the storage space represented by this ContentQuota.

  See Also:
    Constant Field Values
  (Published)

### ALLOCATEDSTORAGE_ATTRIBUTE

    public static final java.lang.String ALLOCATEDSTORAGE_ATTRIBUTE

  Description copied from class: `ContentQuota`
  The amount of storage space allocated by this ContentQuota to the DirectoryUser.

  See Also:
    Constant Field Values
  (Published)

### CONSUMEDSTORAGE_ATTRIBUTE

    public static final java.lang.String CONSUMEDSTORAGE_ATTRIBUTE

  Description copied from class: `ContentQuota`
  The amount of storage space currently consumed by the DirectoryUser.

  See Also:
    Constant Field Values
  (Published)

### ENABLED_ATTRIBUTE

    public static final java.lang.String ENABLED_ATTRIBUTE

  Description copied from class: `ContentQuota`
  An indicator of whether the ContentQuota is enabled or disabled.

  See Also:
    Constant Field Values
  (Published)

### UNIQUENAME_ATTRIBUTE

    public static final java.lang.String UNIQUENAME_ATTRIBUTE

  Description copied from class: `ContentQuota`
  A system-set attribute used to ensure each ContentQuota has a unique name.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### ContentQuota

    protected ContentQuota(LibrarySession session,
                           java.lang.Long id,
                           java.lang.Long classid,
                           S_LibraryObjectData data)
                    throws IfsException

  Construct a ContentQuota object - standard variant.

  Parameters:
    `session` - the session
    `id` - the id
    `classid` - the class id
    `data` - the object data
  Throws:
    `IfsException`
  (Unpublished)

Method Detail

### getAssociatedPublicObject

    public PublicObject getAssociatedPublicObject()
                                           throws IfsException

  Description copied from class: `ContentQuota`
  Gets the PublicObject associated with this ContentQuota object.

  Returns:
    the PublicObject
  Throws:
    `IfsException` - if operation fails
  (Published)

### getAllocatedStorage

    public long getAllocatedStorage()
                             throws IfsException

  Description copied from class: `ContentQuota`
  Gets the amount of allocated storage. Returns 0 if no storage value is set.

  Returns:
    allocated storage (in bytes)
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setAllocatedStorage

    public void setAllocatedStorage(long value)
                             throws IfsException

  Description copied from class: `ContentQuota`
  Sets the amount of allocated storage.

  Parameters:
    `value` -
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getConsumedStorage

    public long getConsumedStorage()
                            throws IfsException

  Description copied from class: `ContentQuota`
  Gets the amount of consumed storage. Returns 0 if no storage value is set.

  Overrides:
    `getConsumedStorage` in class `PublicObject`
  Returns:
    Consumed storage (in bytes)
  Throws:
    `IfsException` - if operation fails.
  (Published)

### calculateConsumedStorage

    public void calculateConsumedStorage()
                                  throws IfsException

  Description copied from class: `ContentQuota`
  Calculates the current consumed storage for the DirectoryUser and updates this ContentQuota object.

  Throws:
    `IfsException` - if operation fails.
  (Published)

### isEnabled

    public boolean isEnabled()
                      throws IfsException

  Description copied from class: `ContentQuota`
  Determines whether quota enforcement is enabled.

  Returns:
    true if quota enabled
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setEnabled

    public void setEnabled(boolean enable)
                    throws IfsException

  Description copied from class: `ContentQuota`
  ContentQuota can be enabled or disabled.

  Parameters:
    `enable` - true if quota should be effective
  Throws:
    `IfsException` - if the operation fails
  (Published)

### postConsumptionChangeEvent

    public void postConsumptionChangeEvent(long payload)
                                    throws IfsException

  Description copied from class: `ContentQuota`
  Post a consumption change event on the ContentQuota.

  Parameters:
    `payload` - the increase in quota consumed, or zero if no increase
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### constructContentQuotaVector

    protected static java.util.Vector constructContentQuotaVector(LibrarySession sess,
                                                                  java.util.Vector vector)
                                                           throws IfsException

  Description copied from class: `ContentQuota`
  Constructs a vector of ContentQuota from vector of S_LOData.

  Parameters:
    `sess` - session
    `vector` - Vector of S_LOData
  Returns:
    the Vector of ContentQuota
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### constructContentQuota

    protected static ContentQuota constructContentQuota(LibrarySession sess,
                                                        S_LibraryObjectData data)
                                                 throws IfsException

  Description copied from class: `ContentQuota`
  Constructs a ContentQuota for the specified data.

  Parameters:
    `sess` - the session
    `data` - the ContentQuota data
  Returns:
    the ContentQuota
  Throws:
    `IfsException` - if an error occurs
  (Unpublished)

### vectorToContentQuotaArray

    protected static ContentQuota[] vectorToContentQuotaArray(java.util.Vector vector)

  Description copied from class: `ContentQuota`
  Converts a Vector of ContentQuota to an array of ContentQuota.

  Parameters:
    `vector` - Vector of ContentQuota objects
  Returns:
    array of ContentQuota objects that corresponds to Vector
  (Unpublished)

### vectorContentQuotaElement

    protected static ContentQuota vectorContentQuotaElement(java.util.Vector vector,
                                                            int index)

  Description copied from class: `ContentQuota`
  Extracts an element of a Vector of ContentQuota.

  Parameters:
    `vector` - Vector of ContentQuota objects.
    `index` - Index into the Vector of ContentQuota objects.
  Returns:
    instance of the corresponding ContentQuota
  Throws:
    `java.lang.IndexOutOfBoundsException` - if invalid index specified.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD